Skip to main content

Get all residents

GEThttps://api.propexo.com/v1/residents/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external resident id

x_property_id string

Deprecated: Use Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo property id

lease_id string

The Propexo lease id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the resident.

email_1 string

The primary email address associated with the resident

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: 3301842
    x_lease_idstring | nullnullablerequireddeprecated

    Deprecated. Use leases_meta_data instead

    MethodInterface
    GetResidentConvergentConvergent Billing
    leases_meta_data object[]

    Known associated lease meta data

  • Array [
  • lease_idstringrequired

    The Propexo unique identifier for the lease

    MethodInterface
    GetResidentListInfoResident Management
    Example: cm0rpx0004exampleid000001
    x_resident_typestring | nullnullablerequired

    The external type of the resident from the integration vendor

    MethodInterface
    GetResidentListInfoResident Management
    Example: H
    resident_type_normalizedstring | nullnullablerequired

    Resident type from Propexo

    MethodInterface
    GetResidentListInfoResident Management
    Example: PRIMARY
    Show 2 variants
    • string
    • stringPRIMARYSECONDARYGUARANTOROTHER
    move_in_datestring | nullnullablerequired

    The move-in date associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    Example: 2021-02-09T00:00:00.000Z
    move_out_datestring | nullnullablerequired

    The move-out date associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    Example: 2022-02-09T00:00:00.000Z
    notice_datestring | nullnullablerequired

    The date the resident gave notice

    MethodInterface
    GetResidentListInfoResident Management
    Example: 2022-02-09T00:00:00.000Z
    custom_data object | nullrequired
    object
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
  • ]
  • address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the resident

    MethodInterface
    GetResidentConvergentConvergent Billing
    Example: 900 Billing Plaza
    address_1string | nullnullablerequired

    The first address line associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: 1842 Maple Ridge Drive
    address_2_alternatestring | nullnullablerequired

    The second alternate address line associated with the resident

    MethodInterface
    GetResidentConvergentConvergent Billing
    Example: Suite 12
    address_2string | nullnullablerequired

    The second address line associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: Apt 204
    balance_in_centsnumber | nullnullablerequired

    The rent balance owed

    MethodInterface
    GetResidentListInfoResident Management
    Example: 25000
    city_alternatestring | nullnullablerequired

    The alternate city associated with the resident

    MethodInterface
    GetResidentConvergentConvergent Billing
    Example: Round Rock
    citystring | nullnullablerequired

    The city associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: Austin
    country_alternatestring | nullnullablerequired

    The alternate country associated with the resident

    MethodInterface
    GetResidentConvergentConvergent Billing
    Example: US
    countrystring | nullnullablerequired

    The country associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    Example: 1992-04-18T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    email_2string | nullnullablerequired

    The secondary email address associated with the resident

    MethodInterface
    GetResidentConvergentConvergent Billing
    first_namestring | nullnullablerequired

    The first name associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: Jordan
    is_employeenullrequired

    Is the resident an employee

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: Hale
    late_balance_in_centsnullrequired

    The past due rent balance owed

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    middle_namenullrequired

    The middle name associated with the resident

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    notesnullrequired

    Notes associated with the resident

    Notice

    This field will always be null for REALPAGE_RPX

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    MethodInterface
    GetResidentListInfoResident Management
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentSurveyListSurvey Interfaces
    Example: 5550142183
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    MethodInterface
    GetResidentListInfoResident Management
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    Example: 5550142184
    state_alternatestring | nullnullablerequired

    The alternate state associated with the resident

    MethodInterface
    GetResidentConvergentConvergent Billing
    Example: TX
    statestring | nullnullablerequired

    The state associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: TX
    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the resident

    MethodInterface
    GetResidentConvergentConvergent Billing
    Example: 78664
    zipstring | nullnullablerequired

    The zip code associated with the resident

    MethodInterface
    GetResidentListInfoResident Management
    GetResidentConvergentConvergent Billing
    GetResidentSurveyListSurvey Interfaces
    Example: 78704
    pets object[]required
    Notice

    This field is not currently hydrated for REALPAGE_RPX

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    namestring | nullnullablerequired

    The name associated with the resident pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    typestring | nullnullablerequired

    The type associated with the resident pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    breedstring | nullnullablerequired

    The breed of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    age_in_yearsnumber | nullnullablerequired

    The age in years of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the resident pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    is_fixedboolean | nullnullablerequired

    Whether the resident pet is fixed

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    is_service_animalboolean | nullnullablerequired

    Whether the resident pet is a service animal

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    notesstring | nullnullablerequired

    Notes associated with the resident pet

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    custom_data object | nullrequired
    object
  • ]
  • vehicles object[]required
    Notice

    This field is not currently hydrated for REALPAGE_RPX

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident vehicle

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    makestring | nullnullablerequired

    The make of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    modelstring | nullnullablerequired

    The Propexo data model (e.g. units, residents, applicants, etc.) associated with the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    colorstring | nullnullablerequired

    The color of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    yearstring | nullnullablerequired

    The year of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    license_plate_numberstring | nullnullablerequired

    The license plate number of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    license_plate_statestring | nullnullablerequired

    The license plate state of the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    notesstring | nullnullablerequired

    Notes associated with the resident vehicle

    Notice

    This field is not currently hydrated for REALPAGE_RPX

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum20required

    The property management system of record

    Show 13 enum values
    REALPAGE_RPXAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGERENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE_RPX
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/residents/
curl https://api.propexo.com/v1/residents/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "3301842",
"leases_meta_data": [
{
"lease_id": "cm0rpx0004exampleid000001",
"x_resident_type": "H",
"resident_type_normalized": "PRIMARY",
"move_in_date": "2021-02-09T00:00:00.000Z",
"move_out_date": "2022-02-09T00:00:00.000Z",
"notice_date": "2022-02-09T00:00:00.000Z",
"custom_data": "Unknown Type: object,null",
"last_seen": "2024-03-22T10:59:45.119Z"
}
],
"address_1_alternate": "900 Billing Plaza",
"address_1": "1842 Maple Ridge Drive",
"address_2_alternate": "Suite 12",
"address_2": "Apt 204",
"balance_in_cents": 25000,
"city_alternate": "Round Rock",
"city": "Austin",
"country_alternate": "US",
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1992-04-18T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": "[email protected]",
"first_name": "Jordan",
"is_employee": null,
"last_name": "Hale",
"late_balance_in_cents": null,
"middle_name": null,
"notes": null,
"phone_1_type": "MOBILE",
"phone_1": "5550142183",
"phone_2_type": "HOME",
"phone_2": "5550142184",
"state_alternate": "TX",
"state": "TX",
"zip_alternate": "78664",
"zip": "78704",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"name": "string",
"type": "string",
"breed": "string",
"gender_raw": "string",
"age_in_years": 0,
"weight_in_pounds": 0,
"is_fixed": true,
"is_service_animal": true,
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"vehicles": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"make": "string",
"model": "string",
"color": "string",
"year": "string",
"license_plate_number": "string",
"license_plate_state": "string",
"notes": "string",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE_RPX",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}